Subject: bug#61965: Commands like "guix system search KEYWORD" don't work with locale it_IT.utf8

From: Julien Lepiller <[email-masked]>
Date: Tue, 07 Mar 2023 22:27:12 +0100

OK, fixed on master and on weblate. Hope it works now!

Had to change @esempio to @example (it's Texinfo markup that's not supposed to be cranslated) and even found a typo'd @sempio.

Also, if you want to help with translations andqproof-reading, you're very welcome to edit on https://translate.fedoraproject.org/projects/guix/guix/it :)

Le 7 mars 2023 21:43:59 GMT+01:00, Luigi Salamone <[email-masked]> a écrit :
>Hi Ludo!
>Hi Julien!
>
>Now "guix system search KEYWORD" works! But... guix install hello:
>
>hint: Backtrace: 16 (primitive-load
>"/home/anonymous/.config/guix/current/b…") In guix/ui.scm: 2300:7 15
>(run-guix . _) 2263:10 14 (run-guix-command _ . _) In ice-9/boot-9.scm:
>1752:10 13 (with-exception-handler _ _ #:unwind? _ # _) In guix/status.scm:
>851:3 12 (_) 831:4 11 (call-with-status-report _ _) In guix/store.scm:
>1300:8 10 (call-with-build-handler _ _) 1300:8 9 (call-with-build-handler #
>…) In guix/build/syscalls.scm: 1442:3 8 (_) 1408:4 7
>(call-with-file-lock/no-wait "/var/guix/profiles/per-u…" …) In
>guix/scripts/package.scm: 325:7 6 (build-and-use-profile _
>"/var/guix/profiles/per-user/…" …) In guix/ui.scm: 325:5 5 (display-hint _
>#:port _ . _) 1473:24 4 (texi->plain-text _) In texinfo.scm: 1132:22 3
>(parse _) 967:36 2 (loop # (*fragment*) # …) 92:2 1 (command-spec _) In
>ice-9/boot-9.scm: 1685:16 0 (raise-exception _ #:continuable? _)
>ice-9/boot-9.scm:1685:16: In procedure raise-exception: Throw to key
>`parser-error' with args `(#f "Unknown command" esempio)'.
>
>Thanks!
>
>
>On Mon, Mar 6, 2023 at 10:47 PM Ludovic Courtès <[email-masked]> wrote:
>
>> Hi Luigi,
>>
>> Luigi Salamone <[email-masked]> skribis:
>>
>> > I'm unable to use guix commands like "guix system search KEYWORD".
>> > No problem if I run the commend with LANG=LC_ALL.
>>
>> [...]
>>
>> > ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>> > Throw to key `parser-error' with args `(#f "Unknown command" dnf)'.
>>
>> I believe Tobias (Cc’d) fixed this and related issues a couple of days
>> ago in 0609ae7897b025f46822779d0c5c36509cb0180f and
>> 4775460ba9a60c3c09966216da10686a70b8fadb.
>>
>> Julien: We’ll have to make sure these changes reach Weblate.  :-)
>>
>> Thanks,
>> Ludo’.
>>